Module:Navbox/styles.css: Difference between revisions

From The Undead Archive
No edit summary
No edit summary
Line 46: Line 46:
.navbox-list {
.navbox-list {
line-height: 1.5em;
line-height: 1.5em;
/* border-color: var(--dark-bg);  Must match background color */
}
}


Line 67: Line 66:


.navbox-title {
.navbox-title {
background-color: #ccf; /* Level 1 color */
background-color: var(--red); /* Level 1 color */
     color:inherit;
     color:inherit;
}
}
Line 74: Line 73:
.navbox-group,
.navbox-group,
.navbox-subgroup .navbox-title {
.navbox-subgroup .navbox-title {
background-color: #ddf; /* Level 2 color */
background-color: var(--brown); /* Level 2 color */
     color:inherit;
     color:inherit;
}
}
Line 80: Line 79:
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
.navbox-subgroup .navbox-abovebelow {
background-color: #e6e6ff; /* Level 3 color */
background-color: var(--brown); /* Level 3 color */
     color:inherit;
     color:inherit;
}
}

Revision as of 16:33, 27 July 2026

.navbox {
	box-sizing: border-box;
	width: 100%;
	clear: both;
	font-size: 88%;
	text-align: center;
	padding: 1px;
	margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
}

.navbox .navbox {
	margin-top: 0; /* No top margin for nested navboxes */
}

.navbox + .navbox-styles + .navbox,
/* category positions are wrapped in an empty span in Parsoid [[phab:T378906]] */ 
.navbox + span.mw-empty-elt + .navbox-styles + .navbox {
	margin-top: -1px; /* Single pixel border between adjacent navboxes */
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

.navbox-group,
.navbox-title,
.navbox-abovebelow {
	padding: 0.25em 1em;
	line-height: 1.5em;
	text-align: center;
}

.navbox-group {
	white-space: nowrap;
	/* @noflip */
	text-align: right;
}

.navbox,
.navbox-subgroup {
	background-color: var(--dark-bg);
    color:inherit;
}

.navbox-list {
	line-height: 1.5em;
}

.navbox-list-with-group {
	text-align: left;
	border-left-width: 2px;
	border-left-style: solid;
}

/* cell spacing for navbox cells */
/* Borders above 2nd, 3rd, etc. rows */
/* TODO: figure out how to replace tr as structure;
 * with div structure it should be just a matter of first-child */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {
	border-top: 2px solid var(--dark-bg); /* Must match background color */
}

.navbox-title {
	background-color: var(--red); /* Level 1 color */
    color:inherit;
}

.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
	background-color: var(--brown); /* Level 2 color */
    color:inherit;
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	background-color: var(--brown); /* Level 3 color */
    color:inherit;
}

.navbox-even {
	background-color: var(--medium-bg);
    color:inherit;
}

.navbox-odd {
	background-color: transparent;
    color:inherit;
}

/* TODO: figure out how to remove reliance on td as structure */
.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
	padding: 0.125em 0;
}

.navbox .navbar {
	display: block;
	font-size: 100%;
}

.navbox-title .navbar {
	/* @noflip */
	float: left;
	/* @noflip */
	text-align: left;
	/* @noflip */
	margin-right: 0.5em;
}

/** T367463 */
body.skin--responsive .navbox-image img {
	max-width: none !important;
}

@media print {
	body.ns-0 .navbox {
		display: none !important;
	}
}

@media screen {
	html.skin-theme-clientpref-night th.navbox-title {
		background-color: #345;
	}
	html.skin-theme-clientpref-night th.navbox-group {
		background-color: #567;
	}
	html.skin-theme-clientpref-night td.navbox-abovebelow,
	html.skin-theme-clientpref-night th.navbox-group,
	html.skin-theme-clientpref-night td.navbox-subgroup td.navbox-title {
		background-color: #456;
	}
	html.skin-theme-clientpref-night td.navbox-even {
		background-color: #000;
	}
	html.skin-theme-clientpref-night td.navbox-odd {
		background-color: #123;
	}
	html.skin-theme-clientpref-night .navbox,
	html.skin-theme-clientpref-night .navbox-subgroup,
	html.skin-theme-clientpref-night .navbox-list {
		background-color: #111111;
	}
	html.skin-theme-clientpref-night tr + tr > .navbox-abovebelow,
	html.skin-theme-clientpref-night tr + tr > .navbox-group,
	html.skin-theme-clientpref-night tr + tr > .navbox-image,
	html.skin-theme-clientpref-night tr + tr > .navbox-list {
		border-top: 2px solid #111111;
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os th.navbox-title {
		background-color: #345;
	}
	html.skin-theme-clientpref-os th.navbox-group {
		background-color: #567;
	}
	html.skin-theme-clientpref-os td.navbox-abovebelow,
	html.skin-theme-clientpref-os th.navbox-group,
	html.skin-theme-clientpref-os td.navbox-subgroup td.navbox-title {
		background-color: #456;
	}
	html.skin-theme-clientpref-os td.navbox-even {
		background-color: #000;
	}
	html.skin-theme-clientpref-os td.navbox-odd {
		background-color: #123;
	}
	html.skin-theme-clientpref-os .navbox,
	html.skin-theme-clientpref-os .navbox-subgroup,
	html.skin-theme-clientpref-os .navbox-list {
		background-color: #111111;
	}
	html.skin-theme-clientpref-os tr + tr > .navbox-abovebelow,
	html.skin-theme-clientpref-os tr + tr > .navbox-group,
	html.skin-theme-clientpref-os tr + tr > .navbox-image,
	html.skin-theme-clientpref-os tr + tr > .navbox-list {
		border-top: 2px solid #111111;
	}
}